{
  "name": "shalu-dashboard-ui",
  "version": "1.0.0",
  "private": true,
  "main": "index.js",
  "module": "index.js",
  "typings": "./typings/global.d.ts",
  "scripts": {
    "serve": "vue-cli-service serve",
    "build": "vue-cli-service build --target lib --name shaluDashBoardUi --dest lib index.js --inline-vue",
    "test:unit": "vue-cli-service test:unit",
    "lint": "vue-cli-service lint"
  },
  "dependencies": {
    "@types/lodash-es": "^4.17.12",
    "@vueuse/core": "^10.11.0",
    "core-js": "^3.8.3",
    "echarts": "^5.5.1",
    "lodash-es": "^4.17.21"
  },
  "devDependencies": {
    "@ant-design/icons-vue": "^7.0.1",
    "@codemirror/lang-javascript": "^6.2.2",
    "@codemirror/lang-json": "^6.0.1",
    "@codemirror/theme-one-dark": "^6.1.2",
    "@types/jest": "^27.0.1",
    "@typescript-eslint/eslint-plugin": "^5.4.0",
    "@typescript-eslint/parser": "^5.4.0",
    "@vue/babel-plugin-jsx": "^1.2.2",
    "@vue/cli-plugin-babel": "~5.0.0",
    "@vue/cli-plugin-eslint": "~5.0.0",
    "@vue/cli-plugin-typescript": "~5.0.0",
    "@vue/cli-plugin-unit-jest": "~5.0.0",
    "@vue/cli-service": "~5.0.0",
    "@vue/eslint-config-typescript": "^9.1.0",
    "@vue/test-utils": "^2.0.0-0",
    "@vue/vue3-jest": "^27.0.0-alpha.1",
    "ant-design-vue": "^4.2.3",
    "babel-jest": "^27.0.6",
    "css-loader": "^7.1.2",
    "element-plus": "^2.7.6",
    "eslint": "^7.32.0",
    "eslint-config-prettier": "^8.3.0",
    "eslint-plugin-prettier": "^4.0.0",
    "eslint-plugin-vue": "^8.0.3",
    "jest": "^27.0.5",
    "js-beautify": "^1.15.1",
    "less-loader": "^12.2.0",
    "lint-staged": "^11.1.2",
    "prettier": "^2.4.1",
    "progress-bar-webpack-plugin": "^2.1.0",
    "style-loader": "^4.0.0",
    "ts-jest": "^27.0.4",
    "typescript": "~4.5.5",
    "vue": "^3.2.13",
    "vue-codemirror": "^6.1.1",
    "vue-hooks-plus": "^2.2.0",
    "vue-loader": "^17.4.2",
    "webpack": "^5.92.1",
    "webpack-cli": "^5.1.4",
    "webpack-dev-server": "^5.0.4"
  },
  "eslintConfig": {
    "root": true,
    "env": {
      "node": true
    },
    "extends": [
      "plugin:vue/vue3-essential",
      "eslint:recommended",
      "@vue/typescript/recommended"
    ],
    "parserOptions": {
      "ecmaVersion": 2020
    },
    "rules": {
      "vue/multi-word-component-names": "off",
      "@typescript-eslint/no-implicit-any-catch": "off"
    },
    "overrides": [
      {
        "files": [
          "**/__tests__/*.{j,t}s?(x)",
          "**/tests/unit/**/*.spec.{j,t}s?(x)"
        ],
        "env": {
          "jest": true
        }
      },
      {
        "files": [
          "**/*.umd.js"
        ],
        "rules": {
          "@typescript-eslint/explicit-module-boundary-types": "off",
          "@typescript-eslint/no-extra-semi": "off",
          "@typescript-eslint/no-this-alias": "off",
          "no-empty": "off",
          "no-fallthrough": "off",
          "no-unused-vars": "off",
          "@typescript-eslint/no-empty-function": "off"
        }
      }
    ]
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not dead",
    "not ie 11"
  ],
  "jest": {
    "preset": "@vue/cli-plugin-unit-jest/presets/typescript-and-babel"
  },
  "gitHooks": {},
  "lint-staged": {
    "*.{js,jsx,vue,ts,tsx}": "vue-cli-service lint"
  }
}
